Create Organization
post
/v1/uwaas/orgs
Creates an organization.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
description(required): string
Example:
This is a company. -
organizationName(required): string
Example:
Effertz Group -
orgId(required): string
Example:
org-15b36ae3-20c6-4e68-9358-560d681d548b -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]Organization lifecycle status shown in Org Management.Example:ACTIVE -
tags: array
tags
Optional tags to assign to the organization. Tags are normalized before persistence.
Examples
Back to Top
Response
Supported Media Types
- application/json
201 Response
Organization created successfully.
Root Schema : OrganizationResponse
Type:
Show Source
object-
createdAt(required): string
(date-time)
Read Only:
true -
createdBy(required): string
Read Only:
trueExample:08819d29-de56-48ea-a140-bc4ac73952ed -
description(required): string
Example:
This is a company. -
isDeleted(required): boolean
Example:
false -
organizationName(required): string
Example:
Organization A -
orgId(required): string
Example:
org-99762dae-9962-4523-ad30-d2b51fd3b06c -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]Organization lifecycle status shown in Org Management.Example:ACTIVE -
tags: array
tags
-
updatedAt(required): string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
trueExample:08819d29-de56-48ea-a140-bc4ac73952ed
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
409 Response
Organization name already exists.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z